Skip to content
Ordinal
Esc
↑↓navigate↵open⌘Jpreview

List scheduling profiles

List all scheduling profiles in the workspace. Scheduling profiles support scheduling, team engagements, and analytics capabilities.

GET/profiles/scheduling
Authorization
AuthorizationBearer token · headerrequired

API key authentication. Generate an API key from your workspace settings.

Responses
200

List of scheduling profiles

Array of SchedulingProfile
idstring<uuid>
namestring | null
detailstring | null
channelChannel
Allowed:LinkedInTwitterInstagramFacebookThreadsTikTokDiscordSlackWebflowYouTubeShorts
profileImageUrlstring | null
isReintegrationRequiredboolean
createdAtstring<date-time>
createdByUserSummary
Show properties
idstring<uuid>
emailstring<email>
firstNamestring | null
lastNamestring | null
isLeadsScrapingEnabledboolean
401

Unauthorized - Missing or invalid API key

codestring
messagestring
Try it
Server
Authorization
Request
curl -X GET 'https://app.tryordinal.com/api/v1/profiles/scheduling' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
[
  {
    "id": "550e8400-e29b-41d4-a716-446655440001",
    "name": "John Doe",
    "detail": "Product Manager at Acme Inc",
    "channel": "LinkedIn",
    "profileImageUrl": "https://media.licdn.com/dms/image/example.jpg",
    "isReintegrationRequired": false,
    "isLeadsScrapingEnabled": true,
    "createdAt": "2025-06-15T09:00:00.000Z",
    "createdBy": {
      "id": "550e8400-e29b-41d4-a716-446655440010",
      "email": "john@acme.com",
      "firstName": "John",
      "lastName": "Doe"
    }
  }
]